import time
from pynput.mouse import Controller
import sys
import io

sys.stdin = io.TextIOWrapper(sys.stdin.buffer, encoding='cp932')

def is_float(a):
    try:
        float(a)
        return True
    except ValueError:
        return False

# マウスコントローラー
try:
    mausu = Controller()

    while True:
        cau = input("カウント回数: ")
        ti = input("カウント時間（秒）: ")

        if cau.isdigit() and is_float(ti):
            cau = int(cau)
            ti = float(ti)

            for i in range(cau):
                time.sleep(ti)

                print(mausu.position)

            print("プログラムは正常に終了しました")
            rup = input("もう一度やる場合は何か入力してください:")
            if rup == "":
                break
        else:
            print("どちらかの入力に誤りがあります\n")
except KeyboardInterrupt as e:
    print("予期せぬエラーが発生しました。")
    input("エンターを押してください>")

except Exception as e:
    print("\nプログラムは正常に終了しませんでした\n"
          "エラー文", e,
          "\nこれを制作者に報告してください")
    input("エンターを押してください>")